<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Demo | Memorial Pages Portal | Adstate Embeddable Solutions</title>
    <style>
      body {
        font-size: 16px;
        line-height: 1.5;
        font-family: sans-serif;
        background-color: #f0f0f0;
      }

      body > header > div,
      body > footer > div {
        display: block;
        margin: 0 auto;
        align-items: center;
        width: 100%;
        max-width: 1240px;
      }

      body > main {
        background-color: #fff;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
      }

      body > main > img {
        margin: 1em auto;
        width: 4em;
      }

      body > header {
        padding: 4em 2em 16em;
        background-size: cover;
        background-position: bottom center;
        background-image: url('/images/demo-header.jpg');
      }

      body > footer {
        display: block;
        margin: 4em auto;
      }

      #demo-settings {
        display: flex;
      }

      #demo-settings > div {
        padding: 0 1em 1em;
        border-radius: 8px;
        background-color: rgba(255, 255, 255, 0.5);
        border: 1px solid rgba(255, 255, 255, 0.5);
        -webkit-backdrop-filter: blur(0.25em);
        backdrop-filter: blur(0.25em);
      }

      #demo-settings form {
        display: flex;
        flex-direction: column;
        gap: 0.5rem;
      }

      #demo-settings form > div {
        display: grid;
        grid-template-columns: 1fr 2fr;
        gap: 0.5rem;
      }
    </style>
  </head>
  <body>
    <header>
      <div>
        <p><a href="/settings-component/">⬅️ Go back</a></p>
        <br />

        <h1>Demo website</h1>
        <p>Here is our websites content</p>

        <br />
        <div id="demo-settings">
          <div>
            <h2>Update demo settings</h2>
            <form action="" method="get">
              <div>
                <label>Language</label>
                <select name="language" id="change-language">
                  <option value="nb_NO" selected>nb_NO</option>
                  <option value="en_GB">en_GB</option>
                  <option value="sv_SE">sv_SE</option>
                  <option value="da_DK">da_DK</option>
                  <option value="nl_NL">nl_NL</option>
                </select>
              </div>
              <div>
                <label for="color-input">color</label>
                <input id="color-input" type="color" name="color" value="#3d9c64" />
              </div>
              <div>
                <button id="delete-cookies" type="button">Delete cookies</button>
                <button id="open-cookie" type="button">Open cookie pop-up</button>
              </div>

              <div>
                <a href="./">Reset demo</a>
                <button type="submit">Update demo</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </header>
    <main>
      <h1>Main</h1>
      <p>This page is empty, it's only the cookie pop-up / settings component</p>
      <div id="settings-component-wrapper"></div>
    </main>
    <footer>
      <div>
        <h2>Footer</h2>
        <p>We have a footer below the portal</p>
      </div>
    </footer>
    <script>
      ;(function () {
        const $ = document.querySelector.bind(document)

        let defaultColor = '#3d9c64'

        const adstateSmartBanner = document.createElement('adstate-settings-component')

        const params = new URL(location.href).searchParams
        if (Array.from(params).length !== 0) {
          defaultColor = params.get('color')
        }

        adstateSmartBanner.setAttribute('color', defaultColor)
        const wrapperElement = $('#settings-component-wrapper')

        if (wrapperElement) {
          wrapperElement.innerHTML = ''
          wrapperElement.appendChild(adstateSmartBanner)
        }

        $('#color-input').value = defaultColor
        const scriptElement = document.createElement('script')
        scriptElement.src = '/settings-component.js'
        document.body.appendChild(scriptElement)

        $('#open-cookie').addEventListener('click', () => {
          const event = new Event('adstate-settings-cookie-pop-up-open')
          document.dispatchEvent(event)
        })

        $('#delete-cookies').addEventListener('click', () => {
          const event = new Event('adstate-settings-cookie-pop-up-delete')
          document.dispatchEvent(event)
        })

        $('#change-language').addEventListener('change', function () {
          $('adstate-settings-component').setAttribute('language', this.value)
        })

        $('adstate-settings-component').addEventListener('changeLanguage', function (event) {
          $('#change-language').value = event.detail
        })
      })()
    </script>
  </body>
</html>
